package cc.smtweb.system.bpm.web.sys.base.job;

import cc.smtweb.framework.core.annotation.SwTable;
import cc.smtweb.framework.core.common.SwMap;
import cc.smtweb.framework.core.db.impl.DefaultEntity;

/**
 * Created by 1 at 2022-09-14 10:09:03
 * 实体【[定时任务执行日志](SYS_JOB_LOG)】的Entity类
 */
@SwTable("SYS_JOB_LOG")
public class JobLog extends DefaultEntity {
    public static final String ENTITY_NAME = "SYS_JOB_LOG";

    public JobLog() {
        super(ENTITY_NAME);
    }

    /**
     * 主键
     */
    public long getId() {
        return getLong("sjl_id");
    }

    /**
     * 主键
     */
    public void setId(long sjl_id) {
        put("sjl_id", sjl_id);
    }

    /**
     * 任务id
     */
    public long getSjId() {
        return getLong("sjl_sj_id");
    }

    /**
     * 任务id
     */
    public void setSjId(long sjl_sj_id) {
        put("sjl_sj_id", sjl_sj_id);
    }

    /**
     * 开始时间
     */
    public long getBeginTime() {
        return getLong("sjl_begin_time");
    }

    /**
     * 开始时间
     */
    public void setBeginTime(long sjl_begin_time) {
        put("sjl_begin_time", sjl_begin_time);
    }

    /**
     * 完成时间
     */
    public long getEndTime() {
        return getLong("sjl_end_time");
    }

    /**
     * 完成时间
     */
    public void setEndTime(long sjl_end_time) {
        put("sjl_end_time", sjl_end_time);
    }

    /**
     * 是否成功
     */
    public boolean isSuccess() {
        return getBool("sjl_success");
    }

    /**
     * 是否成功
     */
    public void setSuccess(boolean sjl_success) {
        setBool("sjl_success", sjl_success);
    }

    /**
     * 执行情况
     */
    public String getInfo() {
        return getStr("sjl_info");
    }

    /**
     * 执行情况
     */
    public void setInfo(String sjl_info) {
        put("sjl_info", sjl_info);
    }
}
